import { AnyObject } from '@loopback/repository';
import { ILogger, SuccessResponse } from '@sourceloop/core';
import { AuthClient, ForgetPasswordDto, ResetPasswordWithClient } from '../models';
import { ForgotPasswordHandlerFn, JWTSignerFn, JWTVerifierFn } from '../providers';
import { RevokedTokenRepository, UserRepository } from '../repositories';
import { LoginHelperService } from '../services';
export declare class ForgetPasswordController {
    private readonly userRepo;
    private readonly revokedTokensRepo;
    private readonly loginHelperService;
    logger: ILogger;
    private readonly jwtSigner;
    private readonly jwtVerifier;
    constructor(userRepo: UserRepository, revokedTokensRepo: RevokedTokenRepository, loginHelperService: LoginHelperService, logger: ILogger, jwtSigner: JWTSignerFn<AnyObject>, jwtVerifier: JWTVerifierFn<AnyObject>);
    forgetPassword(req: ForgetPasswordDto, client: AuthClient, forgetPasswordHandler: ForgotPasswordHandlerFn): Promise<void>;
    verifyResetPasswordLink(token: string): Promise<SuccessResponse>;
    resetPassword(req: ResetPasswordWithClient, client: AuthClient): Promise<void>;
}
