import { Count, Filter, Where } from '@loopback/repository';
import { ActiveUsersRange } from '../enums';
import { ActiveUsersFilter, LoginActivity } from '../models';
import { ActiveUserFilterBuilderService } from '../services';
import { LoginActivityHelperService } from '../services/login-activity-helper.service';
import { ActiveUsersGroupData } from '../types';
export declare class LoginActivityController {
    private readonly loginActivityHelperService;
    private readonly filterBuilder;
    constructor(loginActivityHelperService: LoginActivityHelperService, filterBuilder: ActiveUserFilterBuilderService);
    count(where?: Where<LoginActivity>): Promise<Count>;
    find(filter?: Filter<LoginActivity>): Promise<LoginActivity[]>;
    findById(id: string, filter?: Filter<LoginActivity>): Promise<LoginActivity>;
    getActiveUsers(range: ActiveUsersRange, startDate: Date, endDate: Date, filter?: ActiveUsersFilter): Promise<ActiveUsersGroupData>;
}
