import { Provider } from '@loopback/context';
import { AnyObject } from '@loopback/repository';
import { OtpService } from '../services';
import { IMfaConfig, IOtpConfig } from '../types';
import { AuthCodeGeneratorFn, CodeWriterFn, JWTSignerFn, MfaCheckFn } from './types';
export declare class AuthCodeGeneratorProvider implements Provider<AuthCodeGeneratorFn> {
    private readonly otpService;
    private readonly checkMfa;
    private readonly codeWriter;
    private readonly mfaConfig;
    private readonly otpConfig;
    private readonly jwtSigner;
    constructor(otpService: OtpService, checkMfa: MfaCheckFn, codeWriter: CodeWriterFn, mfaConfig: IMfaConfig, otpConfig: IOtpConfig, jwtSigner: JWTSignerFn<AnyObject>);
    value(): AuthCodeGeneratorFn;
}
