"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.JWTSignerProvider = void 0;
const tslib_1 = require("tslib");
// Copyright (c) 2023 Sourcefuse Technologies
//
// This software is released under the MIT License.
// https://opensource.org/licenses/MIT
const core_1 = require("@loopback/core");
const fs = tslib_1.__importStar(require("fs"));
const jwt = tslib_1.__importStar(require("jsonwebtoken"));
const keys_1 = require("../keys");
let JWTSignerProvider = class JWTSignerProvider {
    constructor(authConfig) {
        this.authConfig = authConfig;
    }
    value() {
        return async (data, options) => {
            var _a, _b;
            // eslint-disable-next-line @typescript-eslint/no-explicit-any
            let privateKey; //NOSONAR
            // eslint-disable-next-line @typescript-eslint/no-explicit-any
            let accessToken; //NOSONAR
            if ((_a = this.authConfig) === null || _a === void 0 ? void 0 : _a.useSymmetricEncryption) {
                accessToken = jwt.sign(data, process.env.JWT_SECRET, {
                    ...options,
                    issuer: process.env.JWT_ISSUER,
                    algorithm: 'HS256',
                });
            }
            else {
                privateKey = fs.readFileSync((_b = process.env.JWT_PRIVATE_KEY) !== null && _b !== void 0 ? _b : '');
                accessToken = jwt.sign(data, privateKey, {
                    ...options,
                    issuer: process.env.JWT_ISSUER,
                    algorithm: 'RS256',
                });
            }
            return accessToken;
        };
    }
};
exports.JWTSignerProvider = JWTSignerProvider;
exports.JWTSignerProvider = JWTSignerProvider = tslib_1.__decorate([
    tslib_1.__param(0, (0, core_1.inject)(keys_1.AuthServiceBindings.Config, { optional: true })),
    tslib_1.__metadata("design:paramtypes", [Object])
], JWTSignerProvider);
//# sourceMappingURL=jwt-signer.provider.js.map