import { Provider } from '@loopback/core';
import { AnyObject } from '@loopback/repository';
import { ILogger } from '@sourceloop/core';
import { AuthenticationProviderFn, UserValidationFn } from '..';
import { AuthRefreshTokenRequest } from '../modules/auth';
export declare class UserValidationProvider implements Provider<UserValidationFn> {
    logger: ILogger;
    private googleAuthenticationProvider;
    private keycloakAuthenticationProvider;
    private azureAuthenticationProvider;
    private cognitoAuthenticationProvider;
    private defaultAuthneticationProvider;
    constructor(logger: ILogger, googleAuthenticationProvider: AuthenticationProviderFn, keycloakAuthenticationProvider: AuthenticationProviderFn, azureAuthenticationProvider: AuthenticationProviderFn, cognitoAuthenticationProvider: AuthenticationProviderFn, defaultAuthneticationProvider: AuthenticationProviderFn);
    value(): UserValidationFn;
    isAuthenticated(payload: AnyObject, req: AuthRefreshTokenRequest, signUpProvider?: string, token?: string): Promise<boolean>;
}
