"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AuthSecureClientRepository = void 0;
const tslib_1 = require("tslib");
// Copyright (c) 2023 Sourcefuse Technologies
//
// This software is released under the MIT License.
// https://opensource.org/licenses/MIT
const core_1 = require("@loopback/core");
const sequelize_1 = require("@loopback/sequelize");
const sequelize_2 = require("loopback4-soft-delete/sequelize");
const models_1 = require("../../models");
const types_1 = require("../../types");
let AuthSecureClientRepository = class AuthSecureClientRepository extends sequelize_2.SequelizeSoftCrudRepository {
    constructor(dataSource) {
        super(models_1.AuthSecureClient, dataSource);
    }
};
exports.AuthSecureClientRepository = AuthSecureClientRepository;
exports.AuthSecureClientRepository = AuthSecureClientRepository = tslib_1.__decorate([
    tslib_1.__param(0, (0, core_1.inject)(`datasources.${types_1.AuthDbSourceName}`)),
    tslib_1.__metadata("design:paramtypes", [sequelize_1.SequelizeDataSource])
], AuthSecureClientRepository);
//# sourceMappingURL=auth-secure-client.repository.js.map