import { Getter } from '@loopback/core';
import { BelongsToAccessor, Entity, HasManyRepositoryFactory } from '@loopback/repository';
import { SequelizeDataSource } from '@loopback/sequelize';
import { SequelizeSoftCrudRepository } from 'loopback4-soft-delete/sequelize';
import { Role, Tenant, User, UserLevelPermission, UserTenant, UserTenantRelations } from '../../models';
import { UserRepository } from '../user.repository';
import { RoleRepository } from './role.repository';
import { TenantRepository } from './tenant.repository';
import { UserLevelPermissionRepository } from './user-level-permission.repository';
export declare class UserTenantRepository extends SequelizeSoftCrudRepository<UserTenant, typeof UserTenant.prototype.id, UserTenantRelations> {
    protected tenantRepositoryGetter: Getter<TenantRepository>;
    protected userRepositoryGetter: Getter<UserRepository>;
    protected roleRepositoryGetter: Getter<RoleRepository>;
    protected userLevelPermissionRepositoryGetter: Getter<UserLevelPermissionRepository>;
    private readonly userTenant;
    readonly tenant: BelongsToAccessor<Tenant, typeof UserTenant.prototype.id>;
    readonly user: BelongsToAccessor<User, typeof UserTenant.prototype.id>;
    readonly role: BelongsToAccessor<Role, typeof UserTenant.prototype.id>;
    readonly userLevelPermissions: HasManyRepositoryFactory<UserLevelPermission, typeof UserTenant.prototype.id>;
    constructor(dataSource: SequelizeDataSource, tenantRepositoryGetter: Getter<TenantRepository>, userRepositoryGetter: Getter<UserRepository>, roleRepositoryGetter: Getter<RoleRepository>, userLevelPermissionRepositoryGetter: Getter<UserLevelPermissionRepository>, userTenant: typeof Entity & {
        prototype: UserTenant;
    });
}
