import { Getter } from '@loopback/core';
import { AnyObject, Count, Filter, FilterExcludingWhere, Where } from '@loopback/repository';
import { EntityWithTenantId, TenantGuardService, UserInToken } from '@sourceloop/core';
import { LoginActivity } from '../models/login-activity.model';
import { LoginActivityRepository } from '../repositories';
export declare class LoginActivityHelperService {
    readonly getCurrentUser: Getter<UserInToken>;
    tenantGuardService: TenantGuardService<EntityWithTenantId, string>;
    loginActivityRepository: LoginActivityRepository;
    constructor(getCurrentUser: Getter<UserInToken>, tenantGuardService: TenantGuardService<EntityWithTenantId, string>, loginActivityRepository: LoginActivityRepository);
    find(filter?: Filter<LoginActivity>, options?: AnyObject): Promise<LoginActivity[]>;
    findById(id: string, filter?: FilterExcludingWhere<LoginActivity>, options?: AnyObject): Promise<LoginActivity>;
    findOne(filter?: Filter<LoginActivity>, options?: AnyObject): Promise<LoginActivity | null>;
    count(where?: Where<LoginActivity>, options?: AnyObject): Promise<Count>;
}
